DKBSignDocs

API reference

POSTPublic

Request password reset

/api/v1/password/reset-notification

Always returns a generic success (200) whether or not the email exists (anti-enumeration). A localized reset email is sent when the account exists.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
email
Required
stringAccount email.
e.g. "user@acme.test"

Responses

StatusMeaning
200If an account exists for this email, a reset link has been sent.
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v1/password/reset-notification' \
  -H 'Content-Type: application/json' \
  -d '{"email":"user@acme.test"}'

Response 200

json
{
  "status": "success",
  "message": "If an account exists for this email, a reset link has been sent."
}